/*******************************************************************************
 *    Rubik's Cube 3D game
 *     Copyright (C) 2011  Harshad Sahasrabudhe (harshad.sahasrabudhe@gmail.com)
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 * 
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License along
 *     with this program; if not, write to the Free Software Foundation, Inc.,
 *     51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 * 
 * 
 * Contributors:
 * Harshad Sahasrabudhe (harshad.sahasrabudhe@gmail.com) - Core and UI development
 * Vishwajit Gaikwad (vishrockon7@gmail.com) - Testing
 ******************************************************************************/
package rubik.core;

public class RubikBlockSide {
	private RubikColor color = null;
	private RubikDirection direction = null;
	
	public RubikBlockSide() {
		
	}
	
	public RubikBlockSide(RubikColor Rcolor, RubikDirection Rdirection) {
		color = Rcolor;
		direction = Rdirection;
	}
	
	public RubikColor getColor() {
		return color;
	}
	
	public RubikDirection getDirection() {
		return direction;
	}
	
	public void setColor(RubikColor Rcolor) {
		color = Rcolor;
	}
	
	public void setDirection(RubikDirection Rdirection) {
		direction = Rdirection;
	}
}
